# $Revision: 1.23 $, $Date: 2008/07/27 22:25:50 $
#
# Conditional build:
%bcond_without	tests	# don't perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	AI
%define		pnam	Fuzzy
Summary:	AI::Fuzzy - Perl extension for Fuzzy Logic
Summary(pl.UTF-8):	AI::Fuzzy - rozszerzenie Perla do logiki rozmytej
Name:		perl-AI-Fuzzy
Version:	0.05
Release:	4
License:	unknown
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	8f9d8f20cff0ad81651f96800f15e6b3
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
AI::Fuzzy really consists of two modules - AI::Fuzzy::Label and
AI::Fuzzy::Set.

A fuzzy set is simply a mathematical set to which members can
partially belong. For example, a particular shade of gray may
partially belong to the set of dark colors, whereas black would have
full membership, and lemon yellow would have almost no membership.

A fuzzy labeler classifies a particular crisp value by examining the
degree to which it belongs to several sets, and selecting the most
appropriate. For example, it can decide whether to call water at 60
degrees Fahrenheit "cold", "cool", or "warm". A fuzzy label might be
one of these labels, or a fuzzy set describing to what degree each of
the labels describes the particular value in question.

%description -l pl.UTF-8
Pakiet AI::Fuzzy składa się z dwóch modułów: AI::Fuzzy::Label i
AI::Fuzzy::Set.

Zbiór rozmyty to prosty matematyczny zbiór, do którego elementy mogą
należeć częściowo. Na przykład, konkretny odcień szarości może
częściowo należeć do zbioru kolorów ciemnych, natomiast czarny będzie
należał do niego całkowicie, a cytrynowo-żółty nie będzie należał
prawie wcale.

Rozmyta funkcja etykietująca klasyfikuje nową konkretną wartość
sprawdzając stopień, w jakim należy do różnych zbiorów i wybierając
najbardziej odpowiedni. Na przykład, aby zdecydować, jak nazywać wodę
o temperaturze 60 stopni Fahrenheita "zimną", "chłodną" czy "ciepłą".
Rozmytą etykietą może być jedna z nich, lub rozmyty zbiór opisujący w
jakim stopniu każda z tych etykiet opisuje daną wartość.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/%{pdir}/*.pm
%{perl_vendorlib}/%{pdir}/%{pnam}
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-AI-Fuzzy.spec,v $
Revision 1.23  2008/07/27 22:25:50  arekm
- release 4

Revision 1.22  2007-02-13 07:16:52  glen
- tabs in preamble

Revision 1.21  2007/02/12 00:49:19  baggins
- converted to UTF-8

Revision 1.20  2005/11/15 20:27:34  czucz
- formatting

Revision 1.19  2004/11/03 19:23:30  paladine
- formatting

Revision 1.18  2004/10/24 12:22:37  paladine
- spelling fix

Revision 1.17  2004/05/07 01:09:15  ankry
- rel. 3

Revision 1.16  2004/05/06 18:09:11  ankry
- fixed perl-devel BR

Revision 1.15  2004/04/25 00:50:53  ankry
- cosmetics: unification

Revision 1.14  2004/04/16 07:19:38  ankry
- license fixes and unification

Revision 1.13  2004/03/09 19:47:16  adamg
- new style bconds

Revision 1.12  2003/09/09 10:24:24  ankry
- spaces -> tab

Revision 1.11  2003/08/18 08:08:26  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.10  2003/05/28 13:00:18  malekith
- massive attack: source-md5

Revision 1.9  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2003/04/11 18:59:20  radek
- BR: perl-devel; do not BR: perl

Revision 1.7  2003/03/01 17:41:58  radek
- should be ready for perl-5.8.0; release++

Revision 1.6  2003/02/25 00:35:47  radek
- use the __perl macro

Revision 1.5  2003/02/18 15:25:22  ankry
- massive attack: change CPAN URLs

Revision 1.4  2003/01/07 12:43:02  mis
- autoupdated to 0.05

Revision 1.3  2002/10/18 01:16:15  ankry
- updated to 0.02
- describe bcond, typos, add Changes to %%doc, STBR

Revision 1.2  2002/08/11 01:38:59  qboosh
- pl description, release 2

Revision 1.1  2002/08/03 13:12:16  radek
- new, stbr
